Subject: bug#44764: 28.0.50; Wrong menu binding for file in tree fileset

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Nov 2020 07:45:11 +0100

Mauro Aranda <[email-masked]> writes:

> The attached patch should fix it.  OK to install?

[...]

> -      (apply 'vector (list name (cdr (append submenu nil)))))))
> -;      (vconcat `[,name] (subseq submenu 1)))))
> +      (apply 'vector (list name (cadr (append submenu nil)))))))

I'm not very familiar with the filesets code, but I think this makes
sense.  I wonder slightly about that commented-out code, but it's been
there since the file was added to Emacs, so I guess we won't find out
what that's about.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no